Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge: there are no ebuilds to satisfy x11-proto/
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
dentman
n00b
n00b


Joined: 27 Jan 2013
Posts: 5

PostPosted: Mon Feb 11, 2013 8:38 am    Post subject: emerge: there are no ebuilds to satisfy x11-proto/ Reply with quote

Running emerge -avuDN world results in this blockage.


Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=x11-proto/bigreqsproto-1.1.0".
(dependency required by "x11-base/xorg-server-1.13.2" [ebuild])
(dependency required by "x11-drivers/ati-userspace-13.1" [installed])
(dependency required by "x11-libs/xvba-video-0.8.0" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


I already cleared out license issues and now I am down to this.

How do I go about fixing this and accomplishing an update?

Rick
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5429

PostPosted: Mon Feb 11, 2013 11:50 am    Post subject: Reply with quote

Post the full output - all the versions still in the tree meet '>=x11-proto/bigreqsproto-1.1.0' condition.
Back to top
View user's profile Send private message
dentman
n00b
n00b


Joined: 27 Jan 2013
Posts: 5

PostPosted: Tue Feb 12, 2013 1:37 am    Post subject: Reply with quote

Here is what I think you are asking for.
-------------------------------------------------------------
-------------------------------------------------------------


QuadKilla rick # emerge -uDNav @world --with-bdeps=y

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-libs/libpng:0

(media-libs/libpng-1.5.13-r1::gentoo, installed) pulled in by
>=media-libs/libpng-1.4:0/0= required by (x11-libs/gdk-pixbuf-2.26.5::gentoo, installed)

(media-libs/libpng-1.5.14::gentoo, ebuild scheduled for merge) pulled in by
(no parents that aren't satisfied by other packages in this slot)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


emerge: there are no ebuilds to satisfy ">=x11-proto/xf86rushproto-1.1.2".
(dependency required by "x11-base/xorg-server-1.13.2" [ebuild])
(dependency required by "x11-drivers/ati-userspace-13.1" [installed])
(dependency required by "x11-libs/xvba-video-0.8.0" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
QuadKilla rick #
------------------------------------------------------------------------------------
------------------------------------------------------------------------------------

Thanks
Rick
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Tue Feb 12, 2013 2:15 am    Post subject: Reply with quote

dentman,

Can you post back emerge --info ='x11-drivers/ati-userspace-13.1' too :?:
_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
dentman
n00b
n00b


Joined: 27 Jan 2013
Posts: 5

PostPosted: Tue Feb 12, 2013 2:55 am    Post subject: Reply with quote

Here ya go!
That looks like a mess to me! Hope it helps.
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------

QuadKilla rick # emerge --info ='x11-drivers/ati-userspace-13.1'
Portage 2.1.11.31 (default/linux/x86/10.0/desktop, gcc-4.6.3-vanilla, glibc-2.15-r2, 3.7.0-sabayon i686)
=================================================================
System Settings
=================================================================
System uname: Linux-3.7.0-sabayon-i686-AMD_Athlon-tm-_II_X4_635_Processor-with-gentoo-2.2
Timestamp of tree: Sun, 03 Feb 2013 09:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash: 4.2_p42
dev-java/java-config: 2.1.12-r1
dev-lang/python: 2.7.3-r2
dev-util/cmake: 2.8.10.2-r1
dev-util/pkgconfig: 0.28
sys-apps/baselayout: 2.2::sabayon-distro
sys-apps/openrc: 0.11.8::sabayon-distro
sys-apps/sandbox: 2.6
sys-devel/autoconf: 2.69
sys-devel/automake: 1.10.3, 1.11.6
sys-devel/binutils: 2.23.1
sys-devel/gcc: 4.6.3::sabayon-distro
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4-r1
sys-devel/make: 3.82-r4
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc: 2.15-r2::sabayon-distro
Repositories: gentoo
Installed sets: @system
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/conf.d /etc/entropy /etc/init.d /usr/share/config /usr/share/config/kdm /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/skel /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=" --autounmask=n"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://ftp.heanet.ie/pub/gentoo/ ftp://ftp.halifax.rwth-aachen.de/gentoo/ ftp://mirror.cambrium.nl/pub/os/linux/gentoo/ ftp://mirror.opteamax.de/gentoo/ http://ftp.heanet.ie/pub/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j16 -s"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi aiglx aim alsa artswrappersuid audiofile avahi bash-completion berkdb bidi bluetooth bzip2 cairo cdda cddb cdr cjk cli consolekit cpudetection cracklib crypt cups cxx dbus dga dri dts dv dvb dvd dvdr dvdread emboss encode exif fam fame fat ffmpeg firefox flac foomatic-db fortran freetype gcj gdbm gif gimpprint gmp gnutls gphoto2 gpm gsm gtk hfs iconv icq ieee1394 imap inotify ipod ipv6 irc irda jabber jack jfs joystick jpeg kdeenablefinal kdehiddenvisibility kerberos lame lcd lcms ldap libnotify live lm_sensors lzo mad mail matroska mjpeg mmx mng modules mozdevelop mp3 mp3rtp mp4 mpeg msn mudflap musepack musicbrainz ncurses network nls nptl nsplugin ntfs ogg openal openexr opengl openmp pam pango pcmcia pcre pda pdf perl png policykit ppds pulseaudio python qt3support qt4 rar rdesktop readline reiserfs rss scanner sdl session slp speex spell ssl startup-notification stream svg sysfs tcpd theora tiff truetype udev udisks unicode upower usb v4l v4l2 visualization vorbis wifi win32codecs wmf wxwidgets x264 x86 xcb xfs xine xinerama xml xpm xprint xulrunner xv xvid xvmc yahoo zeroconf zlib" ALSA_CARDS="emu10k1x darla20 darla24 emu10k1 gina20 gina24 hdsp hdspm ice1712 indigo indigoio layla20 layla24 mia mixart mona pcxhr rme32 rme96 sb16 sbawe sscape usbusx2y vx222 usb-usx2y" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox barbie canon clicksmart310 digigr8 digita directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 konica largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spca50x sq905 stv0674 stv0680 sx330z template" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg tr uk uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh" LIRC_DEVICES="audio audio_alsa serial pctv" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" QEMU_SOFTMMU_TARGETS="x86_64 arm cris i386 m68k microblaze mips mips64 mips64el mipsel ppc ppc64 ppcemb sh4 sh4eb sparc sparc64" QEMU_USER_TARGETS="alpha arm armeb cris i386 m68k microblaze mips mipsel ppc ppc64 ppc64abi32 sh4 sh4eb sparc sparc32plus sparc64 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev vesa radeonhd" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7"
Unset: CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
Package Settings
=================================================================

x11-drivers/ati-userspace-13.1 was built with the following:
USE="-debug -disable-watermark (-multilib) -static-libs -x-multilib"

QuadKilla rick #

-----------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------

Thanks
Rick
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Tue Feb 12, 2013 3:16 am    Post subject: Reply with quote

dentman,

I was perplexed with x11-drivers/ati-userspace because I don't see it, but you enabled "~x86" so that probably explains it since you're not using overlays.

Dumb question on this end, did you emerge --sync :?:

Also I don't register a radeonhd video card in "amd64" - is there such a use flag for the x86 :?: Also you shouldn't need vesa.

If you still have a problem after checking the above try
Code:
ACCEPT_KEYWORDS="x86" emerge -upvDN @world

to see if that's a contributor to the problem.
_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
Ant P.
Advocate
Advocate


Joined: 18 Apr 2009
Posts: 2278
Location: UK

PostPosted: Tue Feb 12, 2013 5:32 am    Post subject: Reply with quote

BillWho wrote:
dentman,

I was perplexed with x11-drivers/ati-userspace because I don't see it, but you enabled "~x86" so that probably explains it since you're not using overlays.

It looks like his system isn't running Gentoo, or is a botched attempt at trying to uninstall Sabayon by removing its overlay while still having half its packages installed.
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Tue Feb 12, 2013 9:48 am    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software, support questions for Sabayon belong in US.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum